Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAAnalyzer", "Analyzes the development of strategy parameters and visualizes the performance of CMA-ES.")]
-  [StorableClass]
+  [StorableClass("021CAE0C-9351-4C54-A953-3D815125B64C")]
   public sealed class CMAAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAEvolutionStrategy.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAEvolutionStrategy.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAEvolutionStrategy.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Evolution Strategy", "An evolution strategy based on covariance matrix adaptation.")]
-  [StorableClass]
+  [StorableClass("B0FB1DCD-E3BA-4DE0-A9B7-CDBABF20419B")]
   public sealed class CMAEvolutionStrategy : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public string Filename { get; set; }
@@ -239,5 +239,5 @@
       Parameters.Add(new FixedValueParameter<IntValue>(SeedName, "The random seed used to initialize the new pseudo random number generator.", new IntValue(0)));
       Parameters.Add(new FixedValueParameter<BoolValue>(SetSeedRandomlyName, "True if the random seed should be set to a random value, otherwise false.", new BoolValue(true)));
-      Parameters.Add(new FixedValueParameter<IntValue>(PopulationSizeName, "λ (lambda) - the size of the offspring population.", new IntValue(20)));
+      Parameters.Add(new FixedValueParameter<IntValue>(PopulationSizeName, "Î» (lambda) - the size of the offspring population.", new IntValue(20)));
       Parameters.Add(new FixedValueParameter<IntValue>(InitialIterationsName, "The number of iterations that should be performed with only axis parallel mutation.", new IntValue(0)));
       Parameters.Add(new FixedValueParameter<DoubleArray>(InitialSigmaName, "The initial sigma can be a single value or a value for each dimension. All values need to be > 0.", new DoubleArray(new[] { 0.5 })));
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Equal-weighted Recombinator", "Calculates weighted mean using equal weights.")]
-  [StorableClass]
+  [StorableClass("7B83A5B4-65A6-4E08-8378-7D797C5B1D02")]
   public class CMAEqualweightedRecombinator : CMARecombinator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAInitializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAInitializer", "Initializes the covariance matrix and step size variables.")]
-  [StorableClass]
+  [StorableClass("04958A1A-7377-49E6-A8A7-0D25DBE4F10C")]
   public class CMAInitializer : SingleSuccessorOperator, ICMAInitializer, IIterationBasedOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALinearweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -26,5 +26,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Linear-weighted Recombinator", "Calculates weighted mean using linear decreasing weights.")]
-  [StorableClass]
+  [StorableClass("D6DA9DD5-498F-4351-A355-97D7BAC72FEF")]
   public class CMALinearweightedRecombinator : CMARecombinator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMALogweightedRecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMA Log-weighted Recombinator", "Calculates weighted mean based on a logarithmic decreasing weights.")]
-  [StorableClass]
+  [StorableClass("34A14EB2-7B0E-4906-BD78-471FDD4E9E42")]
   public class CMALogweightedRecombinator : CMARecombinator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAMutator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAMutator", "Mutates the solution vector according to the CMA-ES scheme.")]
-  [StorableClass]
+  [StorableClass("68887715-E3F5-4142-90DC-E3E34C5FF98E")]
   public sealed class CMAMutator : SingleSuccessorOperator, IStochasticOperator, ICMAManipulator, IIterationBasedOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMARecombinator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMARecombinator", "Base class that calculates the weighted mean of a number of offspring.")]
-  [StorableClass]
+  [StorableClass("21FDA4B1-FCDB-44E4-9979-10AE4E8F8D9D")]
   public abstract class CMARecombinator : SingleSuccessorOperator, ICMARecombinator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAOperators/CMAUpdater.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAUpdater", "Updates the covariance matrix and strategy parameters of CMA-ES.")]
-  [StorableClass]
+  [StorableClass("8EB2E2B6-ECD3-49DA-95C5-99AC5B8725D3")]
   public class CMAUpdater : SingleSuccessorOperator, ICMAUpdater, IIterationBasedOperator, ISingleObjectiveOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAParameters.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAParameters.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/CMAParameters.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("CMAParameters", "CMA-ES controls many strategy parameters that guide the search and which are combined in this class.")]
-  [StorableClass]
+  [StorableClass("C309731D-87B8-44DB-A994-53E39489F0FD")]
   public sealed class CMAParameters : Item {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Terminator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Terminator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.3/Terminator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Algorithms.CMAEvolutionStrategy {
   [Item("Terminator", "Decides if the algorithm should terminate or not.")]
-  [StorableClass]
+  [StorableClass("0B0C59FC-C2B8-4076-9710-66FE5F45C19E")]
   public class Terminator : Operator, IIterationBasedOperator, ISingleObjectiveOperator {
 
